package go.kr.project.api.internal.config;

import io.swagger.v3.oas.models.ExternalDocumentation;
import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Contact;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.info.License;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class OpenApiConfig {

    @Bean
    public OpenAPI vmisOpenAPI() {
        return new OpenAPI()
                .info(new Info()
                        .title("VMIS Interface API")
                        .description("시군구연계 자동차 정보 인터페이스 API (자망연계)")
                        .version("v0.1.0")
                        .contact(new Contact().name("VMIS").email("support@example.com"))
                        .license(new License().name("Apache 2.0").url("https://www.apache.org/licenses/LICENSE-2.0.html")))
                .externalDocs(new ExternalDocumentation()
                        .description("Reference")
                        .url(""));
    }
}
